#!/bin/sh

########################################################################################################
# This script modifies /etc/fstab to automount an sd card on the fischertechnik TXT at startup at /mnt #
# and it modifies /etc/init.d/rc.local to call /mnt/autorun.sh at startup                              #
########################################################################################################

md5sum_org_fstab="a1224c26fcb83095bd7aee0c44d55d52"
md5sum_new_fstab="5e40a6ec27ea9b66173c222b85a1e92a"
md5sum_fstab=`md5sum /etc/fstab | sed s/\ .*//`
[ "$md5sum_new_fstab" == "$md5sum_fstab" ] && echo "/etc/fstab was already updated to automount sd card at /mnt"
[ "$md5sum_org_fstab" == "$md5sum_fstab" ] && echo "/dev/mmcblk0p1  /mnt           auto     rw,noatime,user,umask=0022,gid=1000,uid=1000  0 1" >> /etc/fstab && echo "/etc/fstab successfully updated to mount sd card at /mnt"
[ "$md5sum_new_fstab" == "$md5sum_fstab" ] || [ "$md5sum_org_fstab" == "$md5sum_fstab" ] || echo "/etc/fstab cannot be updated because md5sums do not match"

md5sum_org_rc_local="09b035915b8b584d21671876e108b9ef"
md5sum_new_rc_local="e7d49e6c97df03068d828bd4ab2f0c58"
md5sum_rc_local=`md5sum /etc/init.d/rc.local | sed s/\ .*//`
[ "$md5sum_new_rc_local" == "$md5sum_rc_local" ] && echo "/etc/init.d/rc.local was already updated to call /mnt/autorun.sh at startup"
[ "$md5sum_org_rc_local" == "$md5sum_rc_local" ] && echo "[ -f '/mnt/autorun.sh' ] && su ROBOPro -c 'screen -A -m -d -S PYTHON /mnt/autorun.sh'" >> /etc/init.d/rc.local && echo "/etc/init.d/rc.local successfully updated to call /mnt/autorun.sh at startup"
[ "$md5sum_new_rc_local" == "$md5sum_rc_local" ] || [ "$md5sum_org_rc_local" == "$md5sum_rc_local" ] || echo "/etc/init.d/rc.local cannot be updated because md5sums do not match"
