#!/bin/sh

###########################################################################################################
# This script modifies /etc/fstab and /etc/init.d/rc.local and restores their original state if the files #
# have been modified before only by the script install_sdcard.sh and not manually                         #
###########################################################################################################

md5sum_org_fstab="a1224c26fcb83095bd7aee0c44d55d52"
md5sum_new_fstab="5e40a6ec27ea9b66173c222b85a1e92a"
md5sum_fstab=`md5sum /etc/fstab | sed s/\ .*//`
[ "$md5sum_new_fstab" == "$md5sum_fstab" ] && cp backup/etc_fstab /etc/fstab && echo "original file /etc/fstab has been copied back"
md5sum_fstab=`md5sum /etc/fstab | sed s/\ .*//`
[ "$md5sum_org_fstab" == "$md5sum_fstab" ] && echo "/etc/fstab is in its original state"
[ "$md5sum_org_fstab" == "$md5sum_fstab" ] || echo "/etc/fstab is not in its original state and has most likely been modified manually before. Please check correctness of this file before switching off the TXT !"

md5sum_org_rc_local="09b035915b8b584d21671876e108b9ef"
md5sum_new_rc_local="e7d49e6c97df03068d828bd4ab2f0c58"
md5sum_rc_local=`md5sum /etc/init.d/rc.local | sed s/\ .*//`
[ "$md5sum_new_rc_local" == "$md5sum_rc_local" ] && cp backup/etc_init_d_rc_local /etc/init.d/rc.local && echo "original file /etc/init.d/rc.local has been copied back"
md5sum_rc_local=`md5sum /etc/init.d/rc.local | sed s/\ .*//`
[ "$md5sum_org_rc_local" == "$md5sum_rc_local" ] && echo "/etc/init.d/rc.local is in its original state"
[ "$md5sum_org_rc_local" == "$md5sum_rc_local" ] || echo "/etc/init.d/rc.local is not in its original state and most likely been modified manually before. Please check correctness of this file before switching off the TXT !"

